Synthetic
- Reference
Create, read, update and delete synthetic monitors. Currently browser and network availability monitors only.
To authorize, use a valid OAuth token.
Notes about compatibility:
- Operations marked as early adopter or preview may be changed in non-compatible ways, although we try to avoid this.
- We may add new enum constants without incrementing the API version; thus, clients need to handle unknown enum constants gracefully.
npm install @dynatrace-sdk/client-synthetic
syntheticLocationsClient
import { syntheticLocationsClient } from '@dynatrace-sdk/client-synthetic';
addLocation
Creates a new private synthetic location. | maturity=EARLY_ADOPTER
Required scope: synthetic:locations:write
Parameters
| Name | Type |
|---|---|
| config.body*required | PrivateSyntheticLocation |
Returns
| Return type | Status code | Description |
|---|---|---|
| SyntheticLocationIdsDto | 201 | Success. The private location has been created. The response contains the ID of the new location. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticLocationsClient } from "@dynatrace-sdk/client-synthetic";
const data = await syntheticLocationsClient.addLocation({
body: {
latitude: 10,
longitude: 10,
name: "...",
nodes: ["..."],
type: "CLUSTER",
},
});
getLocation
Gets properties of the specified location. | maturity=EARLY_ADOPTER
Required scope: synthetic:locations:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.locationId*required | string | The Dynatrace entity ID of the required location. |
Returns
| Return type | Status code | Description |
|---|---|---|
| PrivateSyntheticLocation | 200 | Success. The response contains parameters of the synthetic location. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticLocationsClient } from "@dynatrace-sdk/client-synthetic";
const data = await syntheticLocationsClient.getLocation({
locationId: "...",
});
getLocationDeploymentYaml
Gets yaml file content to deploy location in Kubernetes/Openshift cluster. | maturity=EARLY_ADOPTER
Required scope: synthetic:locations:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.activeGateName | string | Active gate name |
| config.customRegistry | string | Custom images registry prefix - this will replace 'dynatrace' in image URLs in generated yaml. |
| config.locationId*required | string | The Dynatrace entity ID of the required location. |
| config.namespace | string | Namespace |
| config.tagVersionActiveGate | string | Custom version tag for Active Gate - this will be used as desired Active Gate version in generated yaml. |
| config.tagVersionSynthetic | string | Custom version tag for Synthetic - this will be used as desired Synthetic version in generated yaml. |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 200 | Success. The response contains the content of deployment yaml file. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticLocationsClient } from "@dynatrace-sdk/client-synthetic";
const data =
await syntheticLocationsClient.getLocationDeploymentYaml({
locationId: "...",
});
getLocations
Lists all synthetic locations (both public and private) available for your environment. | maturity=EARLY_ADOPTER
Required scope: synthetic:locations:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.capability | "BROWSER" | "HTTP" | "HTTP_HIGH_RESOURCE" | "ICMP" | "TCP" | "DNS" | Filters the resulting set of locations to those which support specific capability. |
| config.cloudPlatform | "AWS" | "AZURE" | "ALIBABA" | "GOOGLE_CLOUD" | "OTHER" | Filters the resulting set of locations to those which are hosted on a specific cloud platform. |
| config.type | "PUBLIC" | "PRIVATE" | Filters the resulting set of locations to those of a specific type. |
Returns
| Return type | Status code | Description |
|---|---|---|
| SyntheticLocations | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticLocationsClient } from "@dynatrace-sdk/client-synthetic";
const data = await syntheticLocationsClient.getLocations();
getLocationsStatus
Checks the status of public synthetic locations. | maturity=EARLY_ADOPTER
Required scope: synthetic:locations:read
Returns
| Return type | Status code | Description |
|---|---|---|
| SyntheticPublicLocationsStatus | 200 | Success. The response contains the public locations status. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticLocationsClient } from "@dynatrace-sdk/client-synthetic";
const data =
await syntheticLocationsClient.getLocationsStatus();
getMetricAdapterDeploymentYaml
Gets yaml file content to deploy metric adapter in Kubernetes/Openshift cluster. | maturity=EARLY_ADOPTER
Required scope: synthetic:locations:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.namespace | string | Namespace |
| config.platform | string | Container platform, currently supported are: KUBERNETES and OPENSHIFT. Default value is KUBERNETES. |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 200 | Success. The response contains the content of deployment yaml file. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticLocationsClient } from "@dynatrace-sdk/client-synthetic";
const data =
await syntheticLocationsClient.getMetricAdapterDeploymentYaml();
removeLocation
Deletes the specified private synthetic location. | maturity=EARLY_ADOPTER
Required scope: synthetic:locations:write
Parameters
| Name | Type | Description |
|---|---|---|
| config.locationId*required | string | The Dynatrace entity ID of the private synthetic location to be deleted. |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. The location has been deleted. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticLocationsClient } from "@dynatrace-sdk/client-synthetic";
const data = await syntheticLocationsClient.removeLocation({
locationId: "...",
});
updateLocation
Updates the specified synthetic location. | maturity=EARLY_ADOPTER
Required scope: synthetic:locations:write
For public locations you can only change the location status.
Parameters
| Name | Type | Description |
|---|---|---|
| config.body*required | SyntheticLocationUpdate | |
| config.locationId*required | string | The Dynatrace entity ID of the synthetic location to be updated. |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. The location has been updated. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticLocationsClient } from "@dynatrace-sdk/client-synthetic";
const data = await syntheticLocationsClient.updateLocation({
locationId: "...",
body: { type: "PRIVATE" },
});
updateLocationsStatus
Changes the status of public synthetic locations. | maturity=EARLY_ADOPTER
Required scope: synthetic:locations:write
Parameters
| Name | Type |
|---|---|
| config.body*required | SyntheticPublicLocationsStatus |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. Locations status has been updated. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticLocationsClient } from "@dynatrace-sdk/client-synthetic";
const data =
await syntheticLocationsClient.updateLocationsStatus({
body: { publicLocationsEnabled: false },
});
syntheticMonitorsClient
import { syntheticMonitorsClient } from '@dynatrace-sdk/client-synthetic';
createMonitor
Creates a synthetic monitor definition. Currently browser and network availability monitors only. | maturity=EARLY_ADOPTER
Required scope: synthetic:monitors:write
Parameters
| Name | Type |
|---|---|
| config.body*required | SyntheticBrowserMonitorRequest | SyntheticMultiProtocolMonitorRequest |
Returns
| Return type | Status code | Description |
|---|---|---|
| MonitorEntityIdDto | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticMonitorsClient } from "@dynatrace-sdk/client-synthetic";
const data = await syntheticMonitorsClient.createMonitor(
{},
);
deleteMonitor
Deletes a synthetic monitor definition for the given monitor ID. Currently browser and network availability monitors only. | maturity=EARLY_ADOPTER
Required scope: synthetic:monitors:write
Parameters
| Name | Type | Description |
|---|---|---|
| config.monitorId*required | string | The identifier of the monitor. |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticMonitorsClient } from "@dynatrace-sdk/client-synthetic";
const data = await syntheticMonitorsClient.deleteMonitor({
monitorId: "...",
});
getMonitor
Gets a synthetic monitor definition for the given monitor ID. Currently browser and network availability monitors only. | maturity=EARLY_ADOPTER
Required scope: synthetic:monitors:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.monitorId*required | string | The identifier of the monitor. |
Returns
| Return type | Status code | Description |
|---|---|---|
| SyntheticBrowserMonitorResponse | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticMonitorsClient } from "@dynatrace-sdk/client-synthetic";
const data = await syntheticMonitorsClient.getMonitor({
monitorId: "...",
});
getMonitors
Gets all synthetic monitors. Currently browser and network availability monitors only. | maturity=EARLY_ADOPTER
Required scope: synthetic:monitors:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.monitorSelector | string | Defines the scope of the query. Only monitors matching all criteria are included in the response. You can add one or several of the criteria listed below. For each criterion you can specify multiple comma-separated values, unless stated otherwise. If several values are specified, the OR logic applies.
To set several criteria, separate them with a comma ( |
Returns
| Return type | Status code | Description |
|---|---|---|
| SyntheticMonitorListDto | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticMonitorsClient } from "@dynatrace-sdk/client-synthetic";
const data = await syntheticMonitorsClient.getMonitors();
updateMonitor
Updates a synthetic monitor definition for the given monitor ID. Currently browser and network availability monitors only. | maturity=EARLY_ADOPTER
Required scope: synthetic:monitors:write
Parameters
| Name | Type | Description |
|---|---|---|
| config.body*required | SyntheticBrowserMonitorRequest | SyntheticMultiProtocolMonitorRequest | |
| config.monitorId*required | string | The identifier of the monitor. |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticMonitorsClient } from "@dynatrace-sdk/client-synthetic";
const data = await syntheticMonitorsClient.updateMonitor({
monitorId: "...",
});
syntheticNodesClient
import { syntheticNodesClient } from '@dynatrace-sdk/client-synthetic';
getNode
Lists properties of the specified synthetic node. | maturity=EARLY_ADOPTER
Required scope: synthetic:locations:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.nodeId*required | string | The ID of the required synthetic node. |
Returns
| Return type | Status code | Description |
|---|---|---|
| Node | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticNodesClient } from "@dynatrace-sdk/client-synthetic";
const data = await syntheticNodesClient.getNode({
nodeId: "...",
});
getNodes
Lists all synthetic nodes available in your environment. | maturity=EARLY_ADOPTER
Required scope: synthetic:locations:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.assignedToLocation | boolean | If set to true, returns the set of nodes that are assigned to a synthetic location. If set to false, returns only unassigned nodes. If omitted, returns both assigned and unassigned nodes. |
| config.containerized | boolean | If set to true, returns only containerized nodes. If set to false, returns only uncontainerized nodes. If omitted, returns both containerized and uncontainerized nodes. |
Returns
| Return type | Status code | Description |
|---|---|---|
| Nodes | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticNodesClient } from "@dynatrace-sdk/client-synthetic";
const data = await syntheticNodesClient.getNodes();
syntheticOnDemandMonitorExecutionsClient
import { syntheticOnDemandMonitorExecutionsClient } from '@dynatrace-sdk/client-synthetic';
executeOnDemand
Triggers on-demand executions for synthetic monitors | maturity=EARLY_ADOPTER
Required scope: synthetic:monitors:execute
Parameters
| Name | Type |
|---|---|
| config.body*required | SyntheticOnDemandExecutionRequest |
Returns
| Return type | Status code | Description |
|---|---|---|
| SyntheticOnDemandExecutionResult | 201 | Created |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticOnDemandMonitorExecutionsClient } from "@dynatrace-sdk/client-synthetic";
const data =
await syntheticOnDemandMonitorExecutionsClient.executeOnDemand(
{ body: {} },
);
rerunOnDemandExecution
Reruns specified on-demand execution of synthetic monitors | maturity=EARLY_ADOPTER
Required scope: synthetic:monitors:execute
Parameters
| Name | Type | Description |
|---|---|---|
| config.executionId*required | number | The identifier of the on-demand execution. |
Returns
| Return type | Status code | Description |
|---|---|---|
| SyntheticOnDemandExecutionResult | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorResponseEnvelopeError | Client side error. | Server side error. |
Code example
import { syntheticOnDemandMonitorExecutionsClient } from "@dynatrace-sdk/client-synthetic";
const data =
await syntheticOnDemandMonitorExecutionsClient.rerunOnDemandExecution(
{ executionId: 10 },
);
Types
AuthenticationDto
Authentication dto for Browser Monitor step.
| Name | Type | Description |
|---|---|---|
| authServerAllowlist | string | String containing the allowed servers of KERBEROS authentication. Can be defined only for KERBEROS authentication type. |
| domain | string | String containing the KERBEROS authentication domain. Can be defined only for KERBEROS authentication type. |
| inputType*required | "PLAIN" | "SECURE" | Defines the actual set of fields depending on the value. See one of the following objects:
|
| type*required | "HTTP_AUTHENTICATION" | "KERBEROS" | "WEBFORM" | Type of authentication. |
BaseWaitConditionDto
Wait condition for Browser Monitor step.
| Name | Type | Description |
|---|---|---|
| type*required | "NETWORK" | "NEXT_EVENT" | "PAGE_COMPLETE" | "TIME" | "VALIDATION" | Defines the actual set of fields depending on the value. See one of the following objects:
|
BrowserPermissionsDto
Permissions settings for browser.
| Name | Type | Description |
|---|---|---|
| camera | boolean | Camera permission. If not defined in request, it will be set to false by default. |
| location | boolean | Location permission. If not defined in request, it will be set to false by default. |
| microphone | boolean | Microphone permission. If not defined in request, it will be set to false by default. |
| notifications | boolean | Notifications permission. If not defined in request, it will be set to false by default. |
ChromiumStartupFlagsDto
Chromium startup flags of a Browser Monitor.
| Name | Type | Description |
|---|---|---|
| autoplay-policy | "no-user-gesture-required" | "document-user-activation-required" | autoplay-policy type. |
| disable-features | ChromiumStartupFlagsDtoDisableFeatures | disable-features map |
| disable-site-isolation-trials | boolean | disable-site-isolation-trials flag. |
| disable-web-security | boolean | disable-web-security flag. If no value is passed, it will be set to false by default. |
| host-resolver-rules | string | host-resolver-rules. |
| ignore-certificate-errors | boolean | ignore-certificate-errors flag. |
| ssl-version-max | string | ssl-version-max. |
| ssl-version-min | string | ssl-version-min. |
| test-type | boolean | test-type flag. |
ChromiumStartupFlagsDtoDisableFeatures
disable-features map
type: Record<string, boolean>
ClientCertificateDto
Client certificate.
| Name | Type | Description |
|---|---|---|
| credentialId*required | string | Certificate CV id. |
| domain*required | string | Domain certificate will be applied to. |
ConstraintViolation
Information about a single constraint violation.
| Name | Type | Description |
|---|---|---|
| context | ConstraintViolationContext | Structured context of the constraint violation. Well known keys that can be present are:
|
| message*required | string | Description of the constraint violation. |
ConstraintViolationContext
Structured context of the constraint violation. Well known keys that can be present are:
reason-> Additional reasoning behind the occurred violation.pipeline-> Pipeline related to the violation.endpoint-> Endpoint related to the violation.stage-> Stage related to the violation.processor-> Processor related to the violation.routingRule-> Routing rule related to the violation.
type: Record<string, string>
ConstraintViolationDetails
List of encountered constraint violations.
| Name | Type | Description |
|---|---|---|
| constraintViolations*required | Array<ConstraintViolation> | List of encountered constraint violations. |
| type*required | "constraintViolation" | Defines the actual set of fields depending on the value. See one of the following objects:
|
CookieStepDto
Cookie step of Browser Monitor.
| Name | Type | Description |
|---|---|---|
| cookies*required | Array<SyntheticMonitorCookieDto> | Field containing the list of cookies. |
| entityId | string | Entity Id. |
| name*required | string | The name of Browser Monitor step. |
| type*required | "CLICK" | "COOKIE" | "JAVASCRIPT" | "KEYSTROKES" | "NAVIGATE" | "SELECT_OPTION" | "TAP" | Defines the actual set of fields depending on the value. See one of the following objects:
|
EnablementDto
Browser monitor enablement settings.
| Name | Type | Description |
|---|---|---|
| enableOnGrail*required | boolean | Enable 3rd gen JS agent reporting. Relevant only for grail-enabled SaaS environments. |
| origin | "MONITOR" | "TENANT" | "DEFAULT" | "UNKNOWN" | Indicates the origin of these settings. |
ErrorResponse
Basic information of the encountered error.
| Name | Type | Description |
|---|---|---|
| code*required | number | The returned HTTP status code. |
| details | ErrorResponseDetails | Detailed information of the error. |
| message*required | string | Description of the encountered error. |
ErrorResponseDetails
Detailed information of the error.
| Name | Type | Description |
|---|---|---|
| type*required | "constraintViolation" | Defines the actual set of fields depending on the value. See one of the following objects:
|
ErrorResponseEnvelope
Encloses the encountered error.
| Name | Type | Description |
|---|---|---|
| error*required | ErrorResponse | Basic information of the encountered error. |
FilteredRequestsDto
Filtered requests of a Browser Monitor.
| Name | Type | Description |
|---|---|---|
| mode*required | "BLOCK" | "ALLOW" | Filter mode for filtered requests. |
| requests*required | Array<RequestFilterDto> | Requests to be filtered. |
FrameworkOptionsDto
JS framework options of a JS Agent.
| Name | Type | Description |
|---|---|---|
| activeXObject | boolean | activeXObject support. If not defined in request, it will be set to false by default. |
| angular | boolean | Angular support. If not defined in request, it will be set to false by default. |
| dojo | boolean | Dojo support. If not defined in request, it will be set to false by default. |
| extJs | boolean | extJs support. If not defined in request, it will be set to false by default. |
| icefaces | boolean | icefaces support. If not defined in request, it will be set to false by default. |
| jQuery | boolean | jquery support. If not defined in request, it will be set to false by default. |
| mooTools | boolean | mooTools support. If not defined in request, it will be set to false by default. |
| prototype | boolean | prototype support. If not defined in request, it will be set to false by default. |
IgnoredErrorCodesDto
Ignored Error Codes of a Browser Monitor.
| Name | Type | Description |
|---|---|---|
| matchingDocumentRequests | string | Ignoring status codes will be applied to requests matching pattern. |
| statusCodes | string | Status codes to be ignored. |
InteractionStepDto
Interaction step of Browser Monitor.
| Name | Type | Description |
|---|---|---|
| button*required | "MOUSE_LEFT" | "MOUSE_MIDDLE" | "MOUSE_RIGHT" | Integer containing the button index. |
| entityId | string | Entity Id. |
| name*required | string | The name of Browser Monitor step. |
| target | TargetDto | Target of Browser Monitor step. |
| type*required | "CLICK" | "COOKIE" | "JAVASCRIPT" | "KEYSTROKES" | "NAVIGATE" | "SELECT_OPTION" | "TAP" | Defines the actual set of fields depending on the value. See one of the following objects:
|
| validationRules | Array<ValidationRuleDto> | List of validation rules for the step to perform. |
| waitCondition | BaseWaitConditionDto | Wait condition for Browser Monitor step. |
JavaScriptAgentSettingsDto
JavaScript Agent Settings.
| Name | Type | Description |
|---|---|---|
| customProperties | string | Custom configuration properties |
| experimentalValues | boolean | Experimental values support. If not defined in request, it will be set to false by default. |
| fetchRequests | boolean | Capture fetch() requests. If not defined in request, it will be set to true by default. |
| javaScriptErrors | boolean | Enable this setting to monitor JavaScript errors. The window.onError handler is used for capturing JavaScript errors. If not defined in request, it will be set to true by default. |
| javaScriptFrameworkSupport | FrameworkOptionsDto | JS framework options of a JS Agent. |
| timedActions | boolean | Within JavaScript frameworks, XHRs are often sent via setTimeout methods. Enable this setting to detect actions that trigger such XHRs. If not defined in request, it will be set to true by default. |
| timeoutSettings | TimeoutSettingsDto | Timeout settings of a Browser Monitor. |
| visuallyCompleteOptions | VisuallyCompleteOptionsDto | Visually Complete Options of a Browser Monitor. |
| xmlHttpRequests | boolean | Capture xml Http requests (XHR). If not defined in request, it will be set to true by default. |
JavaScriptStepDto
JavaScript step of Browser Monitor.
| Name | Type | Description |
|---|---|---|
| entityId | string | Entity Id. |
| javaScript*required | string | String containing a script in JavaScript. |
| name*required | string | The name of Browser Monitor step. |
| target | TargetDto | Target of Browser Monitor step. |
| type*required | "CLICK" | "COOKIE" | "JAVASCRIPT" | "KEYSTROKES" | "NAVIGATE" | "SELECT_OPTION" | "TAP" | Defines the actual set of fields depending on the value. See one of the following objects:
|
| waitCondition | BaseWaitConditionDto | Wait condition for Browser Monitor step. |
KeyPerformanceMetrics
The key performance metrics configuration.
| Name | Type | Description |
|---|---|---|
| loadActionKpm | "USER_ACTION_DURATION" | "VISUALLY_COMPLETE" | "SPEED_INDEX" | "DOM_INTERACTIVE" | "LOAD_EVENT_START" | "LOAD_EVENT_END" | "RESPONSE_START" | "RESPONSE_END" | "LARGEST_CONTENTFUL_PAINT" | "CUMULATIVE_LAYOUT_SHIFT" | Load action key performance metric. |
| xhrActionKpm | "USER_ACTION_DURATION" | "VISUALLY_COMPLETE" | "RESPONSE_START" | "RESPONSE_END" | XHR action key performance metric. |
KeyStrokesStepDto
Key strokes step of Browser Monitor.
| Name | Type | Description |
|---|---|---|
| entityId | string | Entity Id. |
| input*required | KeystrokesInputDto | Key strokes step input. |
| name*required | string | The name of Browser Monitor step. |
| simulateBlurEvent | boolean | Boolean value set to true if blur event should be simulated. |
| simulateReturnKey | boolean | Boolean value set to true if return key should be simulated. |
| target | TargetDto | Target of Browser Monitor step. |
| type*required | "CLICK" | "COOKIE" | "JAVASCRIPT" | "KEYSTROKES" | "NAVIGATE" | "SELECT_OPTION" | "TAP" | Defines the actual set of fields depending on the value. See one of the following objects:
|
| validationRules | Array<ValidationRuleDto> | List of validation rules for the step to perform. |
| waitCondition | BaseWaitConditionDto | Wait condition for Browser Monitor step. |
KeystrokesInputDto
Key strokes step input.
| Name | Type | Description |
|---|---|---|
| type*required | "PLAIN" | "SECURE" | Defines the actual set of fields depending on the value. See one of the following objects:
|
LocationCollectionElement
A synthetic location.
| Name | Type | Description |
|---|---|---|
| capabilities | Array<string> | The list of location's capabilities. |
| cloudPlatform | "AZURE" | "ALIBABA" | "GOOGLE_CLOUD" | "OTHER" | "AMAZON_EC2" | "DYNATRACE_CLOUD" | "INTEROUTE" | "UNDEFINED" | The cloud provider where the location is hosted. Only applicable to |
| deploymentType | "UNKNOWN" | "KUBERNETES" | "OPENSHIFT" | "STANDARD" | Location's deployment type |
| entityId*required | string | The Dynatrace entity ID of the location. |
| geoCity | string | Location's city. |
| geoContinent | string | Location's continent. |
| geoCountry | string | Location's country. |
| geoLatitude | number | Location's latitude. |
| geoLocationId*required | string | The Dynatrace GeoLocation ID of the location. |
| geoLongitude | number | Location's longitude. |
| ips | Array<string> | The list of IP addresses assigned to the location. Only applicable to |
| lastModificationTimestamp | number | The timestamp of the last modification of the location. |
| name*required | string | The name of the location. |
| nodes | Array<string> | A list of synthetic nodes belonging to the location. You can retrieve the list of available nodes with the GET all nodes call. |
| stage | "BETA" | "COMING_SOON" | "DELETED" | "GA" | The release stage of the location. |
| status | "DISABLED" | "ENABLED" | "HIDDEN" | The status of the location. |
| type*required | "PUBLIC" | "PRIVATE" | "CLUSTER" | The type of the location. |
LocatorDto
Browser Monitor locator.
| Name | Type | Description |
|---|---|---|
| type*required | "CSS" | "DOM" | Enum value of the locator type. |
| value*required | string | Value of the locator. |
MonitorEntityIdDto
A DTO for monitor entity ID.
| Name | Type | Description |
|---|---|---|
| entityId*required | string | Monitor entity ID. |
MonitorPropertyDto
Property of a Browser Monitor.
| Name | Type | Description |
|---|---|---|
| name*required | string | Property name. |
| value*required | string | Property value. |
MonitorRequestHeader
A header of the Http request
| Name | Type | Description |
|---|---|---|
| name*required | string | Header's name. |
| value*required | string | Header's value. |
NavigateStepDto
Step of Browser Monitor that navigates to a website.
| Name | Type | Description |
|---|---|---|
| authentication | AuthenticationDto | Authentication dto for Browser Monitor step. |
| entityId | string | Entity Id. |
| name*required | string | The name of Browser Monitor step. |
| target | TargetDto | Target of Browser Monitor step. |
| type*required | "CLICK" | "COOKIE" | "JAVASCRIPT" | "KEYSTROKES" | "NAVIGATE" | "SELECT_OPTION" | "TAP" | Defines the actual set of fields depending on the value. See one of the following objects:
|
| url*required | string | Field containing the url that the monitor should navigate to. |
| validationRules | Array<ValidationRuleDto> | List of validation rules for the step to perform. |
| waitCondition | BaseWaitConditionDto | Wait condition for Browser Monitor step. |
NetworkThrottlingDto
Network throttling of a Browser Monitor.
| Name | Type | Description |
|---|---|---|
| download | number | Download throughput. If not defined in request, it will be set to -1 by default. |
| latency | number | Latency. If not defined in request, it will be set to 0 by default. |
| name | string | Predefined network type. If not defined in request, it will be set to "" by default. |
| upload | number | Upload throughput. If not defined in request, it will be set to -1 by default. |
Node
Configuration of a synthetic node.
A synthetic node is an ActiveGate that is able to execute synthetic monitors.
| Name | Type | Description |
|---|---|---|
| activeGateVersion*required | string | The version of the Active Gate. |
| autoUpdateEnabled*required | boolean | The Active Gate has the Auto update option enabled ('true') or not ('false') |
| browserMonitorsEnabled*required | boolean | The synthetic node is able to execute browser monitors (true) or not (false). |
| browserType*required | string | The browser type. |
| browserVersion*required | string | The browser version. |
| capabilities*required | Array<string> | The list of node's capabilities. |
| entityId*required | string | The ID of the synthetic node. |
| healthCheckStatus*required | string | The health check status of the synthetic node. |
| hostname*required | string | The hostname of the synthetic node. |
| ips*required | Array<string> | The IP of the synthetic node. |
| oneAgentRoutingEnabled*required | boolean | The Active Gate has the One Agent routing enabled ('true') or not ('false'). |
| operatingSystem*required | string | The Active Gate's host operating system. |
| playerVersion*required | string | The version of the synthetic player. |
| status*required | string | The status of the synthetic node. |
| version*required | string | The version of the synthetic node. |
NodeCollectionElement
The short representation of a synthetic object. Only contains the ID and the display name.
| Name | Type | Description |
|---|---|---|
| activeGateVersion*required | string | The version of the Active Gate. |
| autoUpdateEnabled*required | boolean | The Active Gate has the Auto update option enabled ('true') or not ('false') |
| browserMonitorsEnabled*required | boolean | Browser check capabilities enabled flag. |
| capabilities*required | Array<string> | The list of node's capabilities. |
| entityId*required | string | The ID of a node. |
| healthCheckStatus*required | string | The health check status of the synthetic node. |
| hostname*required | string | The hostname of a node. |
| ips*required | Array<string> | The IP of a node. |
| oneAgentRoutingEnabled*required | boolean | The Active Gate has the One Agent routing enabled ('true') or not ('false'). |
| operatingSystem*required | string | The Active Gate's host operating system. |
| playerVersion*required | string | The version of the synthetic player. |
| status*required | string | The status of the synthetic node. |
| version*required | string | The version of a node |
Nodes
A list of synthetic nodes
| Name | Type | Description |
|---|---|---|
| nodes*required | Array<NodeCollectionElement> | A list of synthetic nodes |
PlainAuthenticationDto
Plain authentication dto for Browser Monitor step.
| Name | Type | Description |
|---|---|---|
| authServerAllowlist | string | String containing the allowed servers of KERBEROS authentication. Can be defined only for KERBEROS authentication type. |
| domain | string | String containing the KERBEROS authentication domain. Can be defined only for KERBEROS authentication type. |
| inputType*required | "PLAIN" | "SECURE" | Defines the actual set of fields depending on the value. See one of the following objects:
|
| password*required | string | String containing the password. |
| type*required | "HTTP_AUTHENTICATION" | "KERBEROS" | "WEBFORM" | Type of authentication. |
| username*required | string | String containing the username. |
PlainKeystrokesInputDto
Credential-based input for keystrokes step.
| Name | Type | Description |
|---|---|---|
| masked | boolean | Boolean value set to true only if key strokes input textValue field is encoded by recorder and should be decoded by VUP. Set to false by default. |
| textValue*required | string | String value containing the text. |
| type*required | "PLAIN" | "SECURE" | Defines the actual set of fields depending on the value. See one of the following objects:
|
PrivateSyntheticLocation
Configuration of a private synthetic location.
Some fields are inherited from the base SyntheticLocation object.
| Name | Type | Description |
|---|---|---|
| autoUpdateChromium | boolean | Non-containerized location property. Auto upgrade of Chromium is enabled (true) or disabled (false). |
| availabilityLocationOutage | boolean | Alerting for location outage is enabled (true) or disabled (false). Supported only for private Synthetic locations. |
| availabilityNodeOutage | boolean | Alerting for node outage is enabled (true) or disabled (false). \n\n If enabled, the outage of any node in the location triggers an alert. Supported only for private Synthetic locations. |
| availabilityNotificationsEnabled | boolean | Notifications for location and node outage are enabled (true) or disabled (false). Supported only for private Synthetic locations. |
| browserExecutionSupported | boolean | Containerized location property. Boolean value describes if browser monitors will be executed on this location:
|
| city | string | The city of the location. |
| countryCode | string | The country code of the location. To fetch the list of available country codes, use the GET all countries request. |
| countryName | string | The country name of the location. |
| deploymentType | "UNKNOWN" | "KUBERNETES" | "OPENSHIFT" | "STANDARD" | The deployment type of the location:
|
| entityId | string | The Dynatrace entity ID of the location. |
| fipsMode | "DISABLED" | "ENABLED" | "ENABLED_WITH_CORPORATE_PROXY" | Containerized location property indicating whether FIPS mode is enabled on this location:
|
| geoLocationId | string | The Dynatrace GeoLocation ID of the location. |
| latitude*required | number | The latitude of the location in DDD.dddd format. |
| locationNodeOutageDelayInMinutes | number | Alert if location or node outage lasts longer than X minutes. \n\n Only applicable when availabilityLocationOutage or availabilityNodeOutage is set to true. Supported only for private Synthetic locations. |
| longitude*required | number | The longitude of the location in DDD.dddd format. |
| namExecutionSupported | boolean | Containerized location property. Boolean value describes if icmp monitors will be executed on this location:
|
| name*required | string | The name of the location. |
| nodeNames | PrivateSyntheticLocationNodeNames | A mapping id to name of the nodes belonging to the location. |
| nodes*required | Array<string> | A list of synthetic nodes belonging to the location. You can retrieve the list of available nodes with the GET all nodes call. |
| regionCode | string | The region code of the location. To fetch the list of available region codes, use the GET regions of the country request. |
| regionName | string | The region name of the location. |
| status | "DISABLED" | "ENABLED" | "HIDDEN" | The status of the location:
|
| type*required | "PUBLIC" | "PRIVATE" | "CLUSTER" | |
| useNewKubernetesVersion | boolean | Containerized location property. Boolean value describes which kubernetes version will be used:
|
PrivateSyntheticLocationNodeNames
A mapping id to name of the nodes belonging to the location.
type: Record<string, string>
ProxyDto
Browser Monitor proxy.
| Name | Type | Description |
|---|---|---|
| pacUrl*required | string | pacUrl |
PublicSyntheticLocation
Configuration of a public synthetic location.
Some fields are inherited from the base SyntheticLocation object.
| Name | Type | Description |
|---|---|---|
| browserType*required | string | The type of the browser the location is using to execute browser monitors. |
| browserVersion*required | string | The version of the browser the location is using to execute browser monitors. |
| capabilities | Array<string> | A list of location capabilities. |
| city | string | The city of the location. |
| cloudPlatform*required | "AZURE" | "ALIBABA" | "GOOGLE_CLOUD" | "OTHER" | "AMAZON_EC2" | "DYNATRACE_CLOUD" | "INTEROUTE" | "UNDEFINED" | The cloud provider where the location is hosted. |
| countryCode | string | The country code of the location. To fetch the list of available country codes, use the GET all countries request. |
| countryName | string | The country name of the location. |
| entityId | string | The Dynatrace entity ID of the location. |
| geoLocationId | string | The Dynatrace GeoLocation ID of the location. |
| ips*required | Array<string> | The list of IP addresses assigned to the location. |
| latitude*required | number | The latitude of the location in DDD.dddd format. |
| longitude*required | number | The longitude of the location in DDD.dddd format. |
| name*required | string | The name of the location. |
| regionCode | string | The region code of the location. To fetch the list of available region codes, use the GET regions of the country request. |
| regionName | string | The region name of the location. |
| stage*required | "BETA" | "COMING_SOON" | "DELETED" | "GA" | The stage of the location. |
| status | "DISABLED" | "ENABLED" | "HIDDEN" | The status of the location:
|
| type*required | "PUBLIC" | "PRIVATE" | "CLUSTER" | Defines the actual set of fields depending on the value. See one of the following objects:
|
RequestFilterDto
Request filter for Browser Monitor.
| Name | Type | Description |
|---|---|---|
| matchingPattern*required | string | Regex for request that filter will be applied to. |
| type*required | "STARTS_WITH" | "ENDS_WITH" | "CONTAINS" | "EQUALS" | "REGEX" | Filter type. |
RequestHeaderOptionsDto
Header Options of a Browser Monitor.
| Name | Type | Description |
|---|---|---|
| matchingPatterns*required | Array<string> | Apply headers to requests matching pattern. |
| requestHeaders*required | Array<MonitorRequestHeader> | Request headers list. |
SecureAuthenticationDto
Secure authentication dto for Browser Monitor step.
| Name | Type | Description |
|---|---|---|
| authServerAllowlist | string | String containing the allowed servers of KERBEROS authentication. Can be defined only for KERBEROS authentication type. |
| credentialId*required | string | Id of the username and password credential which will be used for authentication. |
| domain | string | String containing the KERBEROS authentication domain. Can be defined only for KERBEROS authentication type. |
| inputType*required | "PLAIN" | "SECURE" | Defines the actual set of fields depending on the value. See one of the following objects:
|
| type*required | "HTTP_AUTHENTICATION" | "KERBEROS" | "WEBFORM" | Type of authentication. |
SecureKeystrokesInputDto
Credential-based input for keystrokes step.
| Name | Type | Description |
|---|---|---|
| credentialField*required | "USERNAME" | "PASSWORD" | "TOKEN" | Enum value of the credential field. |
| credentialId*required | string | String value containing the credential id. |
| type*required | "PLAIN" | "SECURE" | Defines the actual set of fields depending on the value. See one of the following objects:
|
SelectOptionStepDto
Select option step of Browser Monitor.
| Name | Type | Description |
|---|---|---|
| entityId | string | Entity Id. |
| name*required | string | The name of Browser Monitor step. |
| selections*required | Array<SelectionDto> | Field containing the credential. |
| target | TargetDto | Target of Browser Monitor step. |
| type*required | "CLICK" | "COOKIE" | "JAVASCRIPT" | "KEYSTROKES" | "NAVIGATE" | "SELECT_OPTION" | "TAP" | Defines the actual set of fields depending on the value. See one of the following objects:
|
| validationRules | Array<ValidationRuleDto> | List of validation rules for the step to perform. |
| waitCondition | BaseWaitConditionDto | Wait condition for Browser Monitor step. |
SelectionDto
Option selection for Browser Monitor step.
| Name | Type | Description |
|---|---|---|
| index*required | number | Selection index. |
| value*required | string | Selection value. |
SyntheticBrowserMonitorConfigurationDto
Browser Monitor configuration.
| Name | Type | Description |
|---|---|---|
| blockedRequests | Array<string> | All requests matching the specified patterns will be blocked during the execution of the monitor. |
| browserPermissions | BrowserPermissionsDto | Permissions settings for browser. |
| bypassCSP | boolean | Bypass ContentSecurity Policy for monitored pages. If not defined in request, it will be set to false by default. |
| chromiumStartupFlags | ChromiumStartupFlagsDto | Chromium startup flags of a Browser Monitor. |
| clientCertificates | Array<ClientCertificateDto> | Identifier of stored client's certificate. |
| cookies | Array<SyntheticMonitorCookieDto> | Cookies list. |
| device*required | TestDeviceDto | Test device of a Browser Monitor. |
| enablement | EnablementDto | Browser monitor enablement settings. |
| experimentalProperties | Array<MonitorPropertyDto> | Experimental properties list. |
| filteredRequests | FilteredRequestsDto | Filtered requests of a Browser Monitor. |
| ignoredErrorCodes | IgnoredErrorCodesDto | Ignored Error Codes of a Browser Monitor. |
| javaScriptSettings | JavaScriptAgentSettingsDto | JavaScript Agent Settings. |
| monitorFrames | boolean | Capture performance metrics for pages loaded in frames. If not defined in request, it will be set to false by default. |
| networkThrottling | NetworkThrottlingDto | Network throttling of a Browser Monitor. |
| proxy | ProxyDto | Browser Monitor proxy. |
| requestHeaderOptions | RequestHeaderOptionsDto | Header Options of a Browser Monitor. |
| useIESupportedAgent | boolean | useIESupportedAgent flag. If not defined in request, it will be set to false by default. |
| userAgent | string | User agent |
SyntheticBrowserMonitorRequest
Browser monitor update.
| Name | Type | Description |
|---|---|---|
| configuration*required | SyntheticBrowserMonitorConfigurationDto | Browser Monitor configuration. |
| description | string | Monitor description |
| enabled | boolean | If true, the monitor is enabled. default: true |
| frequencyMin | number | The frequency of the monitor, in minutes. Default value depends on the monitor type (1 minute for MULTI_PROTOCOL and HTTP, 15 minutes for BROWSER). |
| keyPerformanceMetrics | KeyPerformanceMetrics | The key performance metrics configuration. |
| locations*required | Array<string> | The locations to which the monitor is assigned. |
| manuallyAssignedEntities | Array<string> | Manually assigned entities. |
| name*required | string | The name of the monitor. |
| performanceThresholds | SyntheticMonitorPerformanceThresholdsDto | Performance thresholds configuration. |
| primaryGrailTags | Array<SyntheticMonitorPrimaryGrailTagDto> | Primary Grail tags as a list of key-value pairs. Up to 10 tags. Those fields are only available for SaaS and not for Managed. |
| securityContext | Array<string> | [FEATURE DISABLED] Security context as a list of strings. Up to 10 values, max 200 characters per value. Those fields are only available for SaaS and not for Managed. |
| steps*required | Array<SyntheticBrowserMonitorStepDto> | The steps of the monitor. |
| syntheticMonitorOutageHandlingSettings | SyntheticMonitorOutageHandlingSettingsDto | Outage handling configuration. |
| tags | Array<SyntheticTagWithSourceDto> | A set of tags assigned to the monitor. You can specify only the value of the tag here and the |
| type*required | "BROWSER" | "HTTP" | "MULTI_PROTOCOL" | Monitor type. |
SyntheticBrowserMonitorResponse
Browser Monitor.
| Name | Type | Description |
|---|---|---|
| automaticallyAssignedEntities | Array<string> | Automatically assigned entities. |
| configuration*required | SyntheticBrowserMonitorConfigurationDto | Browser Monitor configuration. |
| description | string | Monitor description |
| enabled | boolean | If true, the monitor is enabled. |
| entityId*required | string | The entity id of the monitor. |
| frequencyMin | number | The frequency of the monitor, in minutes. |
| keyPerformanceMetrics*required | KeyPerformanceMetrics | The key performance metrics configuration. |
| locations | Array<string> | The locations to which the monitor is assigned. |
| manuallyAssignedEntities | Array<string> | Manually assigned entities. |
| modificationTimestamp | number | The timestamp of the last modification |
| name | string | The name of the monitor. |
| performanceThresholds | SyntheticMonitorPerformanceThresholdsDto | Performance thresholds configuration. |
| primaryGrailTags | Array<SyntheticMonitorPrimaryGrailTagDto> | Primary Grail tags as a list of key-value pairs. Up to 10 tags. Those fields are only available for SaaS and not for Managed. |
| securityContext | Array<string> | [FEATURE DISABLED] Security context as a list of strings. Up to 10 values, max 200 characters per value. Those fields are only available for SaaS and not for Managed. |
| steps*required | Array<SyntheticBrowserMonitorStepDto> | The steps of the monitor. |
| syntheticMonitorOutageHandlingSettings*required | SyntheticMonitorOutageHandlingSettingsDto | Outage handling configuration. |
| tags | Array<SyntheticTagWithSourceDto> | A set of tags assigned to the monitor. You can specify only the value of the tag here and the |
| type*required | "BROWSER" | "MULTI_PROTOCOL" | Monitor type. |
SyntheticBrowserMonitorStepDto
Base step of Browser Monitor.
| Name | Type | Description |
|---|---|---|
| entityId | string | Entity Id. |
| name*required | string | The name of Browser Monitor step. |
| type*required | "CLICK" | "COOKIE" | "JAVASCRIPT" | "KEYSTROKES" | "NAVIGATE" | "SELECT_OPTION" | "TAP" | Defines the actual set of fields depending on the value. See one of the following objects:
|
SyntheticLocation
Configuration of a synthetic location.
countryCode, regionCode, city parameters are optional as they can be retrieved based on latitude and longitude of location.
The actual set of fields depends on the type of the location. Find the list of actual objects in the description of the type field or see Synthetic locations API v2 - JSON models.
| Name | Type | Description |
|---|---|---|
| city | string | The city of the location. |
| countryCode | string | The country code of the location. To fetch the list of available country codes, use the GET all countries request. |
| countryName | string | The country name of the location. |
| entityId | string | The Dynatrace entity ID of the location. |
| geoLocationId | string | The Dynatrace GeoLocation ID of the location. |
| latitude*required | number | The latitude of the location in DDD.dddd format. |
| longitude*required | number | The longitude of the location in DDD.dddd format. |
| name*required | string | The name of the location. |
| regionCode | string | The region code of the location. To fetch the list of available region codes, use the GET regions of the country request. |
| regionName | string | The region name of the location. |
| status | "DISABLED" | "ENABLED" | "HIDDEN" | The status of the location:
|
| type*required | "PUBLIC" | "PRIVATE" | "CLUSTER" | Defines the actual set of fields depending on the value. See one of the following objects:
|
SyntheticLocationIdsDto
A DTO for synthetic Location IDs.
| Name | Type | Description |
|---|---|---|
| entityId*required | string | Entity ID to be transferred |
| geoLocationId*required | string | GeoLocation ID to be transferred |
SyntheticLocationUpdate
The synthetic location update. This is a base object, the exact type depends on the value of the type field.
| Name | Type | Description |
|---|---|---|
| type*required | "PUBLIC" | "PRIVATE" | Defines the actual set of fields depending on the value. See one of the following objects:
|
SyntheticLocations
A list of synthetic locations.
| Name | Type | Description |
|---|---|---|
| locations*required | Array<LocationCollectionElement> | A list of synthetic locations. |
SyntheticMonitorConstraintDto
Synthetic monitor constraint. The allowed type and properties depend on the monitor and step/request context.
| Name | Type | Description |
|---|---|---|
| properties*required | SyntheticMonitorConstraintDtoProperties | Constraint properties. Most constraint types use operator and value keys. Some protocol-specific constraints may use additional keys, for example DNS_STATUS_CODE can use status. |
| type*required | string | Constraint type. Allowed values depend on monitor type and step/request context. HTTP monitor step constraints: HTTP_STATUSES, HTTP_RESPONSE_PATTERN, HTTP_RESPONSE_REGEX. Network availability monitor(MULTI_PROTOCOL) step constraints: SUCCESS_RATE_PERCENT. Network availability monitor(MULTI_PROTOCOL) request configuration constraints are request-type specific, for example ICMP_SUCCESS_RATE_PERCENT (ICMP) and DNS_STATUS_CODE (DNS). |
SyntheticMonitorConstraintDtoProperties
Constraint properties. Most constraint types use operator and value keys. Some protocol-specific constraints may use additional keys, for example DNS_STATUS_CODE can use status.
type: Record<string, string>
SyntheticMonitorCookieDto
Cookie dto for Synthetic Monitor step.
| Name | Type | Description |
|---|---|---|
| domain*required | string | Cookie domain. |
| name*required | string | Cookie name. |
| path | string | Cookie path. |
| value*required | string | Cookie value. |
SyntheticMonitorListDto
List of available synthetic monitors.
| Name | Type | Description |
|---|---|---|
| monitors | Array<SyntheticMonitorSummaryDto> | List of monitors. |
SyntheticMonitorOutageHandlingSettingsDto
Outage handling configuration.
| Name | Type | Description |
|---|---|---|
| globalConsecutiveOutageCountThreshold | number | Number of consecutive failures for all locations. |
| globalOutages*required | boolean | Generate a problem and send an alert when the monitor is unavailable at all configured locations. |
| localConsecutiveOutageCountThreshold | number | Number of consecutive failures. |
| localLocationOutageCountThreshold | number | Number of failing locations. |
| localOutages*required | boolean | Generate a problem and send an alert when the monitor is unavailable for one or more consecutive runs at any location. |
| origin | "MONITOR" | "TENANT" | "DEFAULT" | "UNKNOWN" | Indicates the origin of these settings. |
| retryOnError | boolean | Only Browser Monitor property. If set to true, execution retry will take place in case the monitor fails. |
SyntheticMonitorPerformanceThresholdDto
The performance threshold rule.
| Name | Type | Description |
|---|---|---|
| aggregation | "AVG" | "MAX" | "MIN" | Aggregation type default: "AVG" |
| dealertingSamples | number | Number of most recent non-violating request executions that closes the problem. |
| samples | number | Number of request executions in analyzed sliding window (sliding window size). |
| stepIndex | number | Specify the step's index to which a threshold applies. If threshold is monitor-level, no index is needed. |
| threshold*required | number | Notify if monitor request takes longer than X time units to execute. For network availability monitors the time unit is milliseconds, for browser and HTTP monitors - seconds. |
| type | "MONITOR" | "STEP" | Type of performance threshold. |
| violatingSamples | number | Number of violating request executions in analyzed sliding window. |
SyntheticMonitorPerformanceThresholdsDto
Performance thresholds configuration.
| Name | Type | Description |
|---|---|---|
| enabled*required | boolean | Performance threshold is enabled (true) or disabled (false). |
| thresholds | Array<SyntheticMonitorPerformanceThresholdDto> | The list of performance threshold rules. |
SyntheticMonitorPrimaryGrailTagDto
Primary grail tag key-value pair.
| Name | Type | Description |
|---|---|---|
| key*required | string | Tag key. |
| value*required | string | Tag value. |
SyntheticMonitorSummaryDto
Basic monitor data.
| Name | Type | Description |
|---|---|---|
| enabled | boolean | If true, the monitor is enabled. default: true |
| entityId*required | string | The entity id of the monitor. |
| name*required | string | The name of the monitor. |
| type*required | "BROWSER" | "HTTP" | "MULTI_PROTOCOL" | "THIRD_PARTY" |
SyntheticMultiProtocolMonitorRequest
Network availability monitor.
| Name | Type | Description |
|---|---|---|
| description | string | Monitor description |
| enabled | boolean | If true, the monitor is enabled. default: true |
| frequencyMin | number | The frequency of the monitor, in minutes. Default value depends on the monitor type (1 minute for MULTI_PROTOCOL and HTTP, 15 minutes for BROWSER). |
| locations*required | Array<string> | The locations to which the monitor is assigned. |
| name*required | string | The name of the monitor. |
| performanceThresholds | SyntheticMonitorPerformanceThresholdsDto | Performance thresholds configuration. |
| primaryGrailTags | Array<SyntheticMonitorPrimaryGrailTagDto> | Primary Grail tags as a list of key-value pairs. Up to 10 tags. Those fields are only available for SaaS and not for Managed. |
| securityContext | Array<string> | [FEATURE DISABLED] Security context as a list of strings. Up to 10 values, max 200 characters per value. Those fields are only available for SaaS and not for Managed. |
| steps*required | Array<SyntheticMultiProtocolMonitorStepDto> | The steps of the monitor. |
| syntheticMonitorOutageHandlingSettings | SyntheticMonitorOutageHandlingSettingsDto | Outage handling configuration. |
| tags | Array<SyntheticTagWithSourceDto> | A set of tags assigned to the monitor. You can specify only the value of the tag here and the |
| type*required | "BROWSER" | "HTTP" | "MULTI_PROTOCOL" | Monitor type. |
SyntheticMultiProtocolMonitorResponse
Network availability monitor.
| Name | Type | Description |
|---|---|---|
| description | string | Monitor description |
| enabled | boolean | If true, the monitor is enabled. |
| entityId*required | string | The entity id of the monitor. |
| frequencyMin | number | The frequency of the monitor, in minutes. |
| locations | Array<string> | The locations to which the monitor is assigned. |
| modificationTimestamp | number | The timestamp of the last modification |
| name | string | The name of the monitor. |
| performanceThresholds | SyntheticMonitorPerformanceThresholdsDto | Performance thresholds configuration. |
| primaryGrailTags | Array<SyntheticMonitorPrimaryGrailTagDto> | Primary Grail tags as a list of key-value pairs. Up to 10 tags. Those fields are only available for SaaS and not for Managed. |
| securityContext | Array<string> | [FEATURE DISABLED] Security context as a list of strings. Up to 10 values, max 200 characters per value. Those fields are only available for SaaS and not for Managed. |
| steps*required | Array<SyntheticMultiProtocolMonitorStepDto> | The steps of the monitor. |
| syntheticMonitorOutageHandlingSettings*required | SyntheticMonitorOutageHandlingSettingsDto | Outage handling configuration. |
| tags | Array<SyntheticTagWithSourceDto> | A set of tags assigned to the monitor. You can specify only the value of the tag here and the |
| type*required | "BROWSER" | "MULTI_PROTOCOL" | Monitor type. |
SyntheticMultiProtocolMonitorStepDto
The step of a network availability monitor.
| Name | Type | Description |
|---|---|---|
| constraints*required | Array<SyntheticMonitorConstraintDto> | The list of constraints which apply to all requests in the step. |
| name*required | string | Step name. |
| properties*required | SyntheticMultiProtocolMonitorStepDtoProperties | The properties which apply to all requests in the step. |
| requestConfigurations*required | Array<SyntheticMultiProtocolRequestConfigurationDto> | Request configurations. |
| requestType*required | "ICMP" | "TCP" | "DNS" | Request type. |
| targetFilter | string | Target filter. |
| targetList | Array<string> | Target list. |
SyntheticMultiProtocolMonitorStepDtoProperties
The properties which apply to all requests in the step.
type: Record<string, string>
SyntheticMultiProtocolRequestConfigurationDto
The configuration of a network availability monitor request.
| Name | Type | Description |
|---|---|---|
| constraints*required | Array<SyntheticMonitorConstraintDto> | Request constraints. |
SyntheticOnDemandExecutionRequest
Contains parameters for the on-demand execution of monitors identified by tags, applications, or services.
| Name | Type | Description |
|---|---|---|
| failOnPerformanceIssue | boolean | If true, the execution will fail in case of performance issue. default: true |
| failOnSslWarning | boolean | Applies to HTTP monitors only. If true, the execution will fail in case of an SSL certificate expiration warning or if the certificate is missing. default: true |
| group | SyntheticOnDemandExecutionRequestGroup | Contains parameters for the on-demand execution of monitors identified by tags, applications, or services. |
| metadata | SyntheticOnDemandExecutionRequestMetadata | String to string map of metadata properties for execution |
| monitors | Array<SyntheticOnDemandExecutionRequestMonitor> | List of monitors to be triggered. |
| processingMode | "STANDARD" | "DISABLE_PROBLEM_DETECTION" | "EXECUTIONS_DETAILS_ONLY" | The execution's processing mode default: "STANDARD" |
| stopOnProblem | boolean | If true, no executions will be scheduled if a problem occurs. default: false |
| takeScreenshotsOnSuccess | boolean | If true, the screenshots will be taken during the execution of a browser monitor. default: false |
SyntheticOnDemandExecutionRequestGroup
Contains parameters for the on-demand execution of monitors identified by tags, applications, or services.
| Name | Type | Description |
|---|---|---|
| applications | Array<string> | List of application identifiers. Only monitors with all applications assigned will be executed. |
| locations | Array<string> | The locations from where monitors are to be executed. |
| services | Array<string> | List of service identifiers. Only monitors with all services assigned will be executed. |
| tags | Array<string> | List of tags. Only monitors with all tags assigned will be executed. |
SyntheticOnDemandExecutionRequestMetadata
String to string map of metadata properties for execution
type: Record<string, string>
SyntheticOnDemandExecutionRequestMonitor
Contains monitors to be executed on demand from the locations specified.
| Name | Type | Description |
|---|---|---|
| customizedScript | SyntheticOnDemandExecutionRequestMonitorCustomizedScript | Customized script properties for this on-demand batch execution. |
| executionCount | number | The number of times the monitor is to be executed per location; if not set, the monitor will be executed once. default: 1 |
| locations | Array<string> | The locations from where the monitor is to be executed. |
| monitorId*required | string | The monitor identifier. |
| repeatMode | "SEQUENTIAL" | "PARALLEL" | Execution repeat mode. If not set, the mode is SEQUENTIAL. default: "SEQUENTIAL" |
SyntheticOnDemandExecutionResult
The result of on-demand synthetic monitor execution.
| Name | Type | Description |
|---|---|---|
| batchId*required | string | The batch identifier of the triggered executions. |
| triggered | Array<SyntheticOnDemandTriggeredMonitor> | Monitors for which on-demand executions were triggered. |
| triggeredCount*required | number | The total number of the triggered executions within the batch. |
| triggeringProblemsCount*required | number | The total number of problems within the batch. |
| triggeringProblemsDetails | Array<SyntheticOnDemandTriggeringProblemDetails> | List with the entities for which triggering problems occurred. |
SyntheticOnDemandTriggeredExecutionDetails
Contains details of the triggered on-demand execution.
| Name | Type | Description |
|---|---|---|
| executionId*required | string | The execution's identifier. |
| locationId*required | string | The identifier of the location from which the monitor is to be executed. |
SyntheticOnDemandTriggeredMonitor
Contains the list of on-demand executions of the monitor.
| Name | Type | Description |
|---|---|---|
| executions*required | Array<SyntheticOnDemandTriggeredExecutionDetails> | The list of triggered executions. |
| monitorId*required | string | The monitor identifier. |
SyntheticOnDemandTriggeringProblemDetails
Contains the details of problems encountered while triggering on-demand executions.
| Name | Type | Description |
|---|---|---|
| cause*required | string | The cause of not triggering entity. |
| details*required | string | The details of triggering problem. |
| entityId*required | string | The entity identifier. |
| executionId*required | string | The execution identifier. |
| locationId | string | The location identifier. |
SyntheticPrivateLocationUpdate
Configuration of a private synthetic location
| Name | Type | Description |
|---|---|---|
| autoUpdateChromium | boolean | Non-containerized location property. Auto upgrade of Chromium is enabled (true) or disabled (false). |
| availabilityLocationOutage | boolean | Alerting for location outage is enabled (true) or disabled (false). Supported only for private Synthetic locations. |
| availabilityNodeOutage | boolean | Alerting for node outage is enabled (true) or disabled (false). \n\n If enabled, the outage of any node in the location triggers an alert. Supported only for private Synthetic locations. |
| availabilityNotificationsEnabled | boolean | Notifications for location and node outage are enabled (true) or disabled (false). Supported only for private Synthetic locations. |
| browserExecutionSupported | boolean | Containerized location property. Boolean value describes if browser monitors will be executed on this location:
|
| city | string | The city of the location. |
| countryCode | string | The country code of the location. To fetch the list of available country codes, use the GET all countries request. |
| deploymentType | "UNKNOWN" | "KUBERNETES" | "OPENSHIFT" | "STANDARD" | The deployment type of the location:
|
| fipsMode | "DISABLED" | "ENABLED" | "ENABLED_WITH_CORPORATE_PROXY" | Containerized location property indicating whether FIPS mode is enabled on this location:
|
| latitude*required | number | The latitude of the location in DDD.dddd format. |
| locationNodeOutageDelayInMinutes | number | Alert if location or node outage lasts longer than X minutes. \n\n Only applicable when availabilityLocationOutage or availabilityNodeOutage is set to true. Supported only for private Synthetic locations. |
| longitude*required | number | The longitude of the location in DDD.dddd format. |
| maxActiveGateCount | number | Containerized location property. The maximum number of ActiveGates deployed for the location (required for a Kubernetes location). |
| minActiveGateCount | number | Containerized location property. The minimum number of ActiveGates deployed for the location (required for a Kubernetes location). |
| namExecutionSupported | boolean | Containerized location property. Boolean value describes if icmp monitors will be executed on this location:
|
| name*required | string | The name of the location. |
| nodeSize | "M" | "S" | "UNSUPPORTED" | "XS" | Containerized location property. The size of a containerized node deployed for the location (required for a Kubernetes location). Accepted values:
|
| nodes | Array<string> | A list of synthetic nodes belonging to the location. You can retrieve the list of available nodes with the GET all nodes call. |
| regionCode | string | The region code of the location. To fetch the list of available region codes, use the GET regions of the country request. |
| status | "DISABLED" | "ENABLED" | "HIDDEN" | The status of the location:
|
| type*required | "PUBLIC" | "PRIVATE" | Defines the actual set of fields depending on the value. See one of the following objects:
|
| useNewKubernetesVersion | boolean | Containerized location property. Boolean value describes which kubernetes version will be used:
|
SyntheticPublicLocationUpdate
The update of a public Synthetic location.
| Name | Type | Description |
|---|---|---|
| status*required | "DISABLED" | "ENABLED" | "HIDDEN" | The status of the location:
|
| type*required | "PUBLIC" | "PRIVATE" | Defines the actual set of fields depending on the value. See one of the following objects:
|
SyntheticPublicLocationsStatus
The status of public synthetic locations.
| Name | Type | Description |
|---|---|---|
| publicLocationsEnabled*required | boolean | Synthetic monitors can (true) or can't (false) run on public synthetic locations. |
SyntheticTagWithSourceDto
The tag with source of a monitored entity.
| Name | Type | Description |
|---|---|---|
| context | string | The origin of the tag, such as AWS or Cloud Foundry. Custom tags use the |
| key*required | string | The key of the tag. |
| source | "AUTO" | "RULE_BASED" | "USER" | The source of the tag, such as USER, RULE_BASED or AUTO. |
| value | string | The value of the tag. |
TargetDto
Target of Browser Monitor step.
| Name | Type | Description |
|---|---|---|
| locators*required | Array<LocatorDto> | List of locators. |
| window*required | string | Target window. |
TestDeviceDto
Test device of a Browser Monitor.
| Name | Type | Description |
|---|---|---|
| height*required | number | Device height in px. |
| mobile | boolean | Device is mobile. If not defined in request, it will be set to false by default. |
| name*required | string | Device name. |
| touchEnabled | boolean | Device is touch enabled. If not defined in request, it will be set to false by default. |
| width*required | number | Device width in px. |
TimeWaitConditionDto
Time wait condition for Browser Monitor step.
| Name | Type | Description |
|---|---|---|
| milliseconds*required | number | Wait time in milliseconds. |
| type*required | "NETWORK" | "NEXT_EVENT" | "PAGE_COMPLETE" | "TIME" | "VALIDATION" | Defines the actual set of fields depending on the value. See one of the following objects:
|
TimeoutSettingsDto
Timeout settings of a Browser Monitor.
| Name | Type | Description |
|---|---|---|
| temporaryActionLimit | number | Cascading setTimeout calls number limit. If not defined in request, it will be set to 1 by default. |
| temporaryActionTotalTimeout | number | No additional timeout actions will be created once this time limit is reached. Value must be higher than 0 ms. If not defined in request, it will be set to 100 by default. |
ValidationRuleDto
Validation rule of Browser Monitor step.
| Name | Type | Description |
|---|---|---|
| failIfFound*required | boolean | Boolean value, true if we should fail on found pattern. If not defined in request, it will be set to false by default. |
| matchingPattern*required | string | Text pattern that should match on the website. |
| regex | boolean | Boolean value, true if the "matchingPattern" value is a regex. If not defined in request, it will be set to false by default. |
| target | TargetDto | Target of Browser Monitor step. |
| type*required | "TEXT_MATCH" | "CONTENT_MATCH" | "ELEMENT_MATCH" | Type of validation. |
ValidationWaitConditionDto
Validation wait condition for Browser Monitor step.
| Name | Type | Description |
|---|---|---|
| timeoutInMilliseconds*required | number | Validation timeout in milliseconds. |
| type*required | "NETWORK" | "NEXT_EVENT" | "PAGE_COMPLETE" | "TIME" | "VALIDATION" | Defines the actual set of fields depending on the value. See one of the following objects:
|
| validationRule*required | ValidationRuleDto | Validation rule of Browser Monitor step. |
VisuallyCompleteOptionsDto
Visually Complete Options of a Browser Monitor.
| Name | Type | Description |
|---|---|---|
| excludedElements | Array<string> | Query CSS selectors to specify mutation nodes (elements that change) to ignore in Visually complete and Speed index calculation. |
| excludedUrls | Array<string> | Use regular expressions to define URLs for images and iFrames to exclude from detection by the Visually complete module. |
| imageSizeThreshold | number | Use this setting to define the minimum visible area per element (in pixels) for an element to be counted towards Visually complete and Speed index. If not defined in request, it will be set to 50 by default. |
| inactivityTimeout | number | The time the Visually complete module waits for inactivity and no further mutations on the page after the load action. If not defined in request, it will be set to 1000 by default. |
| mutationTimeout | number | The time the Visually complete module waits after an XHR or custom action closes to start the calculation. If not defined in request, it will be set to 50 by default. |
Enums
AuthenticationDtoInputType
⚠️ Deprecated Use literal values.
Defines the actual set of fields depending on the value. See one of the following objects:
SECURE-> SecureAuthenticationDtoPLAIN-> PlainAuthenticationDto
Enum keys
Plain | Secure
AuthenticationDtoType
⚠️ Deprecated Use literal values.
BaseWaitConditionDtoType
⚠️ Deprecated Use literal values.
Defines the actual set of fields depending on the value. See one of the following objects:
TIME-> TimeWaitConditionDtoVALIDATION-> ValidationWaitConditionDtoPAGE_COMPLETE-> BaseWaitConditionDtoNETWORK-> BaseWaitConditionDtoNEXT_EVENT-> BaseWaitConditionDto
Enum keys
Network | NextEvent | PageComplete | Time | Validation
ChromiumStartupFlagsDtoAutoplayPolicy
⚠️ Deprecated Use literal values.
EnablementDtoOrigin
⚠️ Deprecated Use literal values.
ErrorResponseDetailsType
⚠️ Deprecated Use literal values.
Defines the actual set of fields depending on the value. See one of the following objects:
constraintViolation-> ConstraintViolationDetails
Enum keys
ConstraintViolation
FilteredRequestsDtoMode
⚠️ Deprecated Use literal values.
GetLocationsQueryCapability
⚠️ Deprecated Use literal values.
Enum keys
Browser | Dns | Http | HttpHighResource | Icmp | Tcp
GetLocationsQueryCloudPlatform
⚠️ Deprecated Use literal values.
Enum keys
Alibaba | Aws | Azure | GoogleCloud | Other
GetLocationsQueryType
⚠️ Deprecated Use literal values.
Enum keys
Private | Public
KeyPerformanceMetricsLoadActionKpm
⚠️ Deprecated Use literal values.
Load action key performance metric.
Enum keys
CumulativeLayoutShift | DomInteractive | LargestContentfulPaint | LoadEventEnd | LoadEventStart | ResponseEnd | ResponseStart | SpeedIndex | UserActionDuration | VisuallyComplete
KeyPerformanceMetricsXhrActionKpm
⚠️ Deprecated Use literal values.
XHR action key performance metric.
Enum keys
ResponseEnd | ResponseStart | UserActionDuration | VisuallyComplete
KeystrokesInputDtoType
⚠️ Deprecated Use literal values.
Defines the actual set of fields depending on the value. See one of the following objects:
SECURE-> SecureKeystrokesInputDtoPLAIN-> PlainKeystrokesInputDto
Enum keys
Plain | Secure
LocationCollectionElementCloudPlatform
⚠️ Deprecated Use literal values.
The cloud provider where the location is hosted.
Only applicable to PUBLIC locations.
Enum keys
Alibaba | AmazonEc2 | Azure | DynatraceCloud | GoogleCloud | Interoute | Other | Undefined
LocationCollectionElementDeploymentType
⚠️ Deprecated Use literal values.
LocationCollectionElementStage
⚠️ Deprecated Use literal values.
LocationCollectionElementStatus
⚠️ Deprecated Use literal values.
LocationCollectionElementType
⚠️ Deprecated Use literal values.
LocatorDtoType
⚠️ Deprecated Use literal values.
PrivateSyntheticLocationDeploymentType
⚠️ Deprecated Use literal values.
The deployment type of the location:
STANDARD: The location is deployed on Windows or Linux.KUBERNETES: The location is deployed on Kubernetes.
Enum keys
Kubernetes | Openshift | Standard | Unknown
PrivateSyntheticLocationFipsMode
⚠️ Deprecated Use literal values.
Containerized location property indicating whether FIPS mode is enabled on this location:
DISABLED: FIPS is not enabled on the location.ENABLED: FIPS is enabled on the location.ENABLED_WITH_CORPORATE_PROXY: FIPS with corporate proxy is enabled on this location. Default: DISABLED
Enum keys
Disabled | Enabled | EnabledWithCorporateProxy
PrivateSyntheticLocationStatus
⚠️ Deprecated Use literal values.
The status of the location:
ENABLED: The location is displayed as active in the UI. You can assign monitors to the location.DISABLED: The location is displayed as inactive in the UI. You can't assign monitors to the location. Monitors already assigned to the location will stay there and will be executed from the location.HIDDEN: The location is not displayed in the UI. You can't assign monitors to the location. You can only set location asHIDDENwhen no monitor is assigned to it.
Enum keys
Disabled | Enabled | Hidden
PrivateSyntheticLocationType
⚠️ Deprecated Use literal values.
Enum keys
Cluster | Private | Public
RequestFilterDtoType
⚠️ Deprecated Use literal values.
SyntheticBrowserMonitorRequestType
⚠️ Deprecated Use literal values.
SyntheticBrowserMonitorResponseType
⚠️ Deprecated Use literal values.
SyntheticBrowserMonitorStepDtoType
⚠️ Deprecated Use literal values.
Defines the actual set of fields depending on the value. See one of the following objects:
NAVIGATE-> NavigateStepDtoCLICK-> InteractionStepDtoTAP-> InteractionStepDtoKEYSTROKES-> KeyStrokesStepDtoJAVASCRIPT-> JavaScriptStepDtoSELECT_OPTION-> SelectOptionStepDtoCOOKIE-> CookieStepDto
Enum keys
Click | Cookie | Javascript | Keystrokes | Navigate | SelectOption | Tap
SyntheticLocationStatus
⚠️ Deprecated Use literal values.
The status of the location:
ENABLED: The location is displayed as active in the UI. You can assign monitors to the location.DISABLED: The location is displayed as inactive in the UI. You can't assign monitors to the location. Monitors already assigned to the location will stay there and will be executed from the location.HIDDEN: The location is not displayed in the UI. You can't assign monitors to the location. You can only set location asHIDDENwhen no monitor is assigned to it.
Enum keys
Disabled | Enabled | Hidden
SyntheticLocationType
⚠️ Deprecated Use literal values.
Defines the actual set of fields depending on the value. See one of the following objects:
PUBLIC-> PublicSyntheticLocationPRIVATE-> PrivateSyntheticLocationCLUSTER-> PrivateSyntheticLocation
Enum keys
Cluster | Private | Public
SyntheticLocationUpdateType
⚠️ Deprecated Use literal values.
Defines the actual set of fields depending on the value. See one of the following objects:
PUBLIC-> SyntheticPublicLocationUpdatePRIVATE-> SyntheticPrivateLocationUpdate
Enum keys
Private | Public
SyntheticMonitorOutageHandlingSettingsDtoOrigin
⚠️ Deprecated Use literal values.
SyntheticMonitorPerformanceThresholdDtoAggregation
⚠️ Deprecated Use literal values.
SyntheticMonitorPerformanceThresholdDtoType
⚠️ Deprecated Use literal values.
SyntheticMonitorSummaryDtoType
⚠️ Deprecated Use literal values.
Enum keys
Browser | Http | MultiProtocol | ThirdParty
SyntheticMultiProtocolMonitorRequestType
⚠️ Deprecated Use literal values.
SyntheticMultiProtocolMonitorResponseType
⚠️ Deprecated Use literal values.
SyntheticMultiProtocolMonitorStepDtoRequestType
⚠️ Deprecated Use literal values.
SyntheticOnDemandExecutionRequestMonitorRepeatMode
⚠️ Deprecated Use literal values.
SyntheticOnDemandExecutionRequestProcessingMode
⚠️ Deprecated Use literal values.
SyntheticTagWithSourceDtoSource
⚠️ Deprecated Use literal values.
ValidationRuleDtoType
⚠️ Deprecated Use literal values.